Package: io.vertx.groovy.ext.stomp

## [Groovy] Class StompClient

- io.vertx.groovy.ext.stomp.StompClient

- Defines a STOMP client.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StompClient (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close()` Closes the client.
    `StompClient` | `connect(int port, String host, Handler<AsyncResult<StompClientConnection>> resultHandler)` Connects to the server.
    `StompClient` | `connect(NetClient net, Handler<AsyncResult<StompClientConnection>> resultHandler)` Connects to the server.
    `StompClient` | `connect(int port, String host, NetClient net, Handler<AsyncResult<StompClientConnection>> resultHandler)` Connects to the server.
    `StompClient` | `connect(Handler<AsyncResult<StompClientConnection>> resultHandler)` Connects to the server using the host and port configured in the client's options.
    `static StompClient` | `create(Vertx vertx)` Creates a StompClient using the default implementation.
    `static StompClient` | `create(Vertx vertx, Map<String, Object> options)` Creates a StompClient using the default implementation.
    `Object` | `getDelegate()`
    `Map<String, Object>` | `options()` @return the client's options.
    `Vertx` | `vertx()` Returns: the vert.x instance used by the client.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### StompClient(Object delegate)

  - ### Method Detail

    - #### void close()

      Closes the client.

    - #### StompClient connect(int port, String host, Handler<AsyncResult<StompClientConnection>> resultHandler)

      Connects to the server.

      Returns:
        the current StompClient
      Parameters:
        `port` - the server port
        `host` - the server host
        `resultHandler` - handler called with the connection result

    - #### StompClient connect(NetClient net, Handler<AsyncResult<StompClientConnection>> resultHandler)

      Connects to the server.

      Returns:
        the current StompClient
      Parameters:
        `net` - the NET client to use
        `resultHandler` - handler called with the connection result

    - #### StompClient connect(int port, String host, NetClient net, Handler<AsyncResult<StompClientConnection>> resultHandler)

      Connects to the server.

      Returns:
        the current StompClient
      Parameters:
        `port` - the server port
        `host` - the server host
        `net` - the NET client to use
        `resultHandler` - handler called with the connection result

    - #### StompClient connect(Handler<AsyncResult<StompClientConnection>> resultHandler)

      Connects to the server using the host and port configured in the client's options.

      Returns:
        the current StompClient
      Parameters:
        `resultHandler` - handler called with the connection result

    - #### static StompClient create(Vertx vertx)

      Creates a StompClient using the default implementation.

      Returns:
        the created StompClient
      Parameters:
        `vertx` - the vert.x instance to use

    - #### static StompClient create(Vertx vertx, Map<String, Object> options)

      Creates a StompClient using the default implementation.

      Returns:
        the created StompClient
      Parameters:
        `vertx` - the vert.x instance to use
        `options` - the options (see StompClientOptions)

    - #### Object getDelegate()

    - #### Map<String, Object> options()

      Returns:
        the client's options.
        (see StompClientOptions)

    - #### Vertx vertx()

      Returns:
        the vert.x instance used by the client.